Summary:	Evented Server-Side Javascript
Name:		nodejs
Version:	6.11.2
Release:	1
License:	BSD
Group:		Development/Other
Url:		http://nodejs.org
Source0:	http://nodejs.org/dist/v%{version}/node-v%{version}.tar.gz
Source100:	%{name}.rpmlintrc
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig(libcares)
BuildRequires:	pkgconfig(openssl) >= 1.0.1
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(zlib)
Provides:	npm = %{version}-%{release}
#this corresponds to the "engine" requirement in package.json
Provides:	nodejs(engine) = %{version}

%description
Node's goal is to provide an easy way to build scalable network programs.

%files
%doc LICENSE COLLABORATOR_GUIDE.md AUTHORS CHANGELOG.md CONTRIBUTING.md GOVERNANCE.md README.md
%{_bindir}/node
%{_bindir}/npm
%{_prefix}/lib/node_modules
%{_mandir}/man1/node.*
%{_includedir}/node
%{_datadir}/systemtap/tapset/node.stp
%{_docdir}/node/gdbinit
%{_docdir}/node/lldb_commands.py
%{_docdir}/node/lldbinit
%{_docdir}/node/doc/

#-----------------------------------------------------------------
%prep
%setup -qn node-v%{version}

%build
# Currently, bundled c-ares is newer than the latest released version.
# should use --shared-cares once a newer compatible c-ares is released.
./configure \
	--prefix=%{_prefix} \
	--shared-zlib \
	--shared-cares

%setup_compile_flags
%make

%install
%makeinstall_std
cp -R doc %{buildroot}%{_docdir}/node/
rm -fr %{buildroot}/usr/lib/node_modules/npm/node_modules/request/node_modules/http-signature/node_modules/jsprim/node_modules/verror/.gitmodules

%changelog
